
-- This logon trigger denies log in attempts to SQL Server 
--   initiated by login login_test if there are already 
--   three user sessions created by that login.

USE master;
GO
CREATE LOGIN login_test WITH PASSWORD = '3KHJ6dhx(0xVYsdf' MUST_CHANGE,
    CHECK_EXPIRATION = ON;
GO
GRANT VIEW SERVER STATE TO login_test;
GO
CREATE TRIGGER connection_limit_trigger
ON ALL SERVER WITH EXECUTE AS 'login_test'
FOR LOGON
AS
BEGIN
IF ORIGINAL_LOGIN()= 'login_test' AND
    (SELECT COUNT(*) FROM sys.dm_exec_sessions
            WHERE is_user_process = 1 AND
                original_login_name = 'login_test') > 3
    ROLLBACK;
END;

/*
-- Eventdata for login trigger
<EVENT_INSTANCE> 
    <EventType>event_type</EventType> 
    <PostTime>post_time</PostTime> 
    <SPID>spid</SPID> 
    <ServerName>server_name</ServerName> 
	<LoginName>login_name</LoginName> 
	<LoginType>login_type</LoginType> 
	<SID>sid</SID> 
	<ClientHost>client_host</ClientHost> 
	<IsPooled>is_pooled</IsPooled> 
</EVENT_INSTANCE> 
*/



